# clear_cache function

(Shortest import: `from brian2.__init__ import clear_cache)`

brian2.__init__.clear_cache(target)

  Clears the on-disk cache with the compiled files for a given code generation target.

  Parameters:

    target : str

    > The code generation target (e.g. `'cython'`)

  Raises

  `ValueError`

    If the given code generation target does not have an on-disk cache

  `IOError`

    If the cache directory contains unexpected files, suggesting that deleting it would also delete files unrelated to the cache.